Status: Closed   

Priority: Normal   

Category:    

Customer: CARIAD Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-10851;

https://www.cip.audi.de/jira/browse/ACO

RE-10852

Department:  Affected Products:  

Requester's Priority: Normal Platform:  

Support Level: 2nd Level Topic: ADTF::ConanCMakeMisc

Resolution: Solved Issue FAQ Links:  

Description

Supportanfrage

Gibt es eine Planung bzgl. Upgrade auf den GCC7? Wir haben in neueren Ubuntu Versionen das Problem, dass der GCC5 nur in

Version 5.5+ zur Verfügung steht.

Wie ist die Planung bzgl. VS2019 Support? Kann ich solch Themen auf irgendeiner Roadmap sehen?

Lösung

Wir haben die künftigen Plattformen mit FEP abgestimmt:

Windows x64 VS2019 VC142

Linux x64 gcc7 (desktop)

Linux aarch64 gcc7 (armv8)

Eine Umstellung erfolgt noch in Q4:

[ACORE-10851] - Provide platform support for Windows 10 x64 with VS2019 vc142 toolchain

[ACORE-10852] - Provide platform support for Ubuntu 18.04 LTS (x64 and arm_v8)

Du solltest aber sowohl mit VS2019 VC142 als auch gcc5.5+/gcc7 schon jetzt in der Lage sein, gegen die aktuelle Lieferung ABI

kompatibel zu entwickeln.

History

#1 - 2021-08-24 10:06 - hidden

- Project changed from Public Support to 30

- Status changed from New to In Progress

- Customer set to CARIAD

- Topic set to ADTF::ConanCMakeMisc

#2 - 2021-08-25 17:11 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Toni,

wir haben die künftigen Plattformen mit FEP abgestimmt:

Windows x64 VS2019 VC142

Linux x64 gcc7 (desktop)

Linux aarch64 gcc7 (armv8)

Eine Umstellung erfolgt noch in Q4.
Du solltest aber sowohl mit VS2019 VC142 als auch gcc5.5+/gcc7 in der Lage sein, gegen die aktuelle Lieferung ABI kompatibel zu entwickeln.

#3 - 2021-08-26 06:26 - hidden

Vielen Dank für die Infos :)

#4 - 2021-08-26 06:52 - hidden

- Project changed from 30 to Public Support

- Subject changed from ADTF3: Support für GCC7 to Support for VS2019 VC142 and GCC7

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-10851; https://www.cip.audi.de/jira/browse/ACORE-10852

#5 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
